/**********************************************************************************
 * _iniScanUntilObject
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under LGPL 28.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/

#include "ini.h"

int _iniScanUntilObject( HINI hIni, FILE *hFile, char *pszLine )
{
	/* SCAN UNTIL WE GET TO AN OBJECT NAME OR EOF */
	pszLine[0] = '\0';
    while ( 1 )
    {
        if ( fgets( pszLine, INI_MAX_LINE, hFile ) == NULL )
            return INI_NO_DATA;
        if ( pszLine[0] == hIni->cLeftBracket )
			return INI_SUCCESS;
    }

    return INI_SUCCESS;
}


